#include <iostream>
#include <vector>
#include <stdio.h>
using namespace std;

int main(){
    
    int n;
    cin >> n;
    
    vector<double> a(n);
    vector<double> p(n);
    
    for(int i = 0; i < n; i++)
        cin >> a[i] >> p[i];
    
    double s = 0, tmp;
    
    for(int i = 0; i < n; i++){
        tmp = 0;
        for(int j = 0; j < n; j++)
            if(p[i] <= p[j])
                tmp += a[j];
        tmp *= p[i] / (double)(100.00);
        if(tmp > s)s = tmp;
    }
    
    printf("%.4lf \n", s);
    
    return 0;
}